%bcond_with	tests

%define	module	pysvn
Summary:	Python SVN Tools
Summary(pl.UTF-8):	Narzędzia do SVN w Pythonie
Name:		python-%{module}
Version:	1.7.6
Release:	1
License:	Apache
Group:		Development/Languages/Python
Source0:	http://pysvn.barrys-emacs.org/source_kits/%{module}-%{version}.tar.gz
# Source0-md5:	010a80f0058713209d62e96b20afbde9
Patch0:		%{name}-apr-util.patch
URL:		http://pysvn.tigris.org/
BuildRequires:	apr-devel
BuildRequires:	apr-util-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	subversion
BuildRequires:	subversion-devel
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pysvn Extension Features:
- Supports all svn client features
- Supports svn transaction features required to write svn pre-commit
  hooks
- Easy to learn and use
- Python like interface
- Good Documentation and examples
- No need to understand the Subversion C API

%description -l pl.UTF-8
Cechy pysvn:
- obsługuje wszystkie możliwości klienta svn
- obsługuje cechy transakcji svn wymagane do pisania procedur
  wywoływanych przed commitem do svn
- łatwy w nauce i użyciu
- pythonowy interfejs
- dobra dokumentacja i przykłady
- nie trzeba rozumieć API C do Subversion

%prep
%setup  -q -n %{module}-%{version}
%patch0 -p1

%build
cd Source
%{__python} ./setup.py configure \
	--apr-inc-dir="$(apr-1-config --includedir)" \
	--apu-inc-dir="$(apu-1-config --includedir)" \
	--svn-lib-dir=%{_libdir}

%{__make} \
	CC="%{__cc} -c $(pkg-config apr-util-1 --cflags)" \
	CCC="%{__cxx} -c $(pkg-config apr-util-1 --cflags)"

%{?with_tests:%{__make} -C ../Tests -f unix.mak PYTHON=%{__python}}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}/pysvn

install Source/pysvn/__init__.py Source/pysvn/*.so $RPM_BUILD_ROOT%{py_sitedir}/pysvn
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/Client
install Examples/Client/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/Client

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Docs/*
%dir %{py_sitedir}/pysvn
%attr(755,root,root) %{py_sitedir}/pysvn/*.so
%{py_sitedir}/pysvn/*.py[co]
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Nov 19 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pysvn.git;a=log;h=master

* Mon Nov 19 2012 Jan Rękorajski <baggins@pld-linux.org> cb503a7
- updated to 1.7.6
- add apr-util include dir to C*FLAGS

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 6bb32a3
- rebuild with expat 2.1.0
- release 3 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 094f136
- BR: libstdc++-devel
- adapterized

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f53fb94
- release 2

* Mon Jun 07 2010 arvenil <arvenil@pld-linux.org> e99ea58
- up to 1.7.2

* Tue Jun 03 2008 Paweł Sikora <pluto@pld-linux.org> 9a3ccc0
- updated to 1.5.3.

* Wed May 07 2008 Jakub Bogusz <qboosh@pld-linux.org> d18c109
- BR: rpm-pythonprov

* Fri Nov 02 2007 shadzik <shadzik@pld-linux.org> 41ef2bc
- updated for new patch0
- BR: pkgconfig (needed by patch0)

* Fri Nov 02 2007 shadzik <shadzik@pld-linux.org> f85585e
- glen says pkgconfig is always better then scanning /usr/include, so i figured out this solution,
  maybe it's evil (I'm sure it is) but works

* Fri Nov 02 2007 shadzik <shadzik@pld-linux.org> 57f541a
- kill redundand apr-util-devel BR

* Fri Nov 02 2007 shadzik <shadzik@pld-linux.org> d700eff
- up to 1.5.2
- add apr-utils.patch
- by Kamil Jakubowski <jakubowski dot kamil at 3vnet dot pl>

* Fri Nov 02 2007 shadzik <shadzik@pld-linux.org> 688e332
- find apr-util headers and use them
- sent in by Kamil Jakubowski <jakubowski dot kamil at 3vnet dot pl>

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 42e99b6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9e2da48
- converted to UTF-8

* Thu Sep 22 2005 Jakub Bogusz <qboosh@pld-linux.org> eebce4b
- pl

* Sun Sep 11 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 4e493ff
- BR: subversion, too (for svnversion); rel 2

* Sun Sep 11 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b0df54
- more pythonic bindings to subversion, new

